Package: org.codehaus.groovy.grails.web.sitemesh

## [Java] Class GroovyPageLayoutFinder

- org.codehaus.groovy.grails.web.sitemesh.GroovyPageLayoutFinder

- All Implemented Interfaces and Traits:
    org.springframework.context.ApplicationListener

      public class GroovyPageLayoutFinder
      extends java.lang.Object

  Provides the logic for GrailsLayoutDecoratorMapper without so many ties to the Sitemesh API.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `LAYOUT_ATTRIBUTE` |
    `static java.lang.String` | `NONE_LAYOUT` |
    `static java.lang.String` | `RENDERING_VIEW_ATTRIBUTE` |

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `com.opensymphony.module.sitemesh.Decorator` | `findLayout(javax.servlet.http.HttpServletRequest request, com.opensymphony.sitemesh.Content page)`
    `com.opensymphony.module.sitemesh.Decorator` | `findLayout(javax.servlet.http.HttpServletRequest request, com.opensymphony.module.sitemesh.Page page)`
    `protected com.opensymphony.module.sitemesh.Decorator` | `getApplicationDefaultDecorator(javax.servlet.http.HttpServletRequest request)`
    `com.opensymphony.module.sitemesh.Decorator` | `getNamedDecorator(javax.servlet.http.HttpServletRequest request, java.lang.String name)`
    `com.opensymphony.module.sitemesh.Decorator` | `getNamedDecorator(javax.servlet.http.HttpServletRequest request, java.lang.String name, boolean viewMustExist)`
    `void` | `onApplicationEvent(org.springframework.context.event.ContextRefreshedEvent event)`
    `void` | `setCacheEnabled(boolean cacheEnabled)`
    `void` | `setDefaultDecoratorName(java.lang.String defaultDecoratorName)`
    `void` | `setEnableNonGspViews(boolean enableNonGspViews)`
    `void` | `setGspReloadEnabled(boolean gspReloadEnabled)`
    `void` | `setViewResolver(org.springframework.web.servlet.ViewResolver viewResolver)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String LAYOUT_ATTRIBUTE

    - #### public static final java.lang.String NONE_LAYOUT

    - #### public static final java.lang.String RENDERING_VIEW_ATTRIBUTE

  - ### Method Detail

    - #### public com.opensymphony.module.sitemesh.Decorator findLayout(javax.servlet.http.HttpServletRequest request, com.opensymphony.sitemesh.Content page)

    - #### public com.opensymphony.module.sitemesh.Decorator findLayout(javax.servlet.http.HttpServletRequest request, com.opensymphony.module.sitemesh.Page page)

    - #### protected com.opensymphony.module.sitemesh.Decorator getApplicationDefaultDecorator(javax.servlet.http.HttpServletRequest request)

    - #### public com.opensymphony.module.sitemesh.Decorator getNamedDecorator(javax.servlet.http.HttpServletRequest request, java.lang.String name)

    - #### public com.opensymphony.module.sitemesh.Decorator getNamedDecorator(javax.servlet.http.HttpServletRequest request, java.lang.String name, boolean viewMustExist)

    - #### @java.lang.Override public void onApplicationEvent(org.springframework.context.event.ContextRefreshedEvent event)

    - #### public void setCacheEnabled(boolean cacheEnabled)

    - #### public void setDefaultDecoratorName(java.lang.String defaultDecoratorName)

    - #### public void setEnableNonGspViews(boolean enableNonGspViews)

    - #### public void setGspReloadEnabled(boolean gspReloadEnabled)

    - #### public void setViewResolver(org.springframework.web.servlet.ViewResolver viewResolver)